<?php
/**
 * Pagination
 *
 * @package Fuzion_Blog
 */

$wp_customize->add_section(
	'fuzion_blog_pagination',
	array(
		'panel' => 'fuzion_blog_theme_options',
		'title' => esc_html__( 'Pagination', 'fuzion-blog' ),
	)
);

// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'fuzion_blog_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'fuzion_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Fuzion_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'fuzion_blog_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'fuzion-blog' ),
			'section'  => 'fuzion_blog_pagination',
			'settings' => 'fuzion_blog_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'fuzion_blog_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'fuzion_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'fuzion_blog_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'fuzion-blog' ),
		'section'         => 'fuzion_blog_pagination',
		'settings'        => 'fuzion_blog_pagination_type',
		'active_callback' => 'fuzion_blog_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'fuzion-blog' ),
			'numeric' => __( 'Numeric', 'fuzion-blog' ),
		),
	)
);
